Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.ejb.plugins.cmp.jdbc
Class JDBCFindByPrimaryKeyQuery

    java.lang.Object
      org.jboss.ejb.plugins.cmp.jdbc.JDBCAbstractQueryCommand
          org.jboss.ejb.plugins.cmp.jdbc.JDBCFindByPrimaryKeyQuery

All Implemented Interfaces:
  JDBCQueryCommand

public final class JDBCFindByPrimaryKeyQuery
extends JDBCAbstractQueryCommand

JDBCBeanExistsCommand is a JDBC query that checks if an id exists in the database. This is used by the create and findByPrimaryKey code.

Version:
  $Revision: 1.11 $
Author:
  Dain Sundstrom, Marc Fleury, Justin Forder, Alex Loubyansky

Nested Class Summary

Nested classes inherited from class org.jboss.ejb.plugins.cmp.jdbc.JDBCAbstractQueryCommand
`JDBCAbstractQueryCommand.LeftJoinCMRNode`

Field Summary

Fields inherited from class org.jboss.ejb.plugins.cmp.jdbc.JDBCAbstractQueryCommand
`log`

Constructor Summary
`JDBCFindByPrimaryKeyQuery(JDBCStoreManager manager, JDBCQueryMetaData q)`

Method Summary
`Collection` | `execute(Method finderMethod, Object[] args, EntityEnterpriseContext ctx, GenericEntityObjectFactory factory)`

Methods inherited from class org.jboss.ejb.plugins.cmp.jdbc.JDBCAbstractQueryCommand
`appendLeftJoinCMRColumnNames, execute, getEagerLoadGroup, getEagerLoadMask, getLeftJoinCMRNodes, getLog, getSelectEntity, getSelectField, getSelectManager, leftJoinCMRNodes, parseParameters, setEagerLoadGroup, setLimitParam, setLimitValue, setOffsetParam, setOffsetValue, setOnFindCMRList, setParameterList, setSelectEntity, setSelectField, setSelectFunction, setSQL, toInt`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JDBCFindByPrimaryKeyQuery

    public JDBCFindByPrimaryKeyQuery(JDBCStoreManager manager,
                                     JDBCQueryMetaData q)
                              throws org.jboss.deployment.DeploymentException

Method Detail

### execute

    public Collection execute(Method finderMethod,
                              Object[] args,
                              EntityEnterpriseContext ctx,
                              GenericEntityObjectFactory factory)
                       throws javax.ejb.FinderException

  Specified by:
    `execute` in interface `JDBCQueryCommand`
  Overrides:
    `execute` in class `JDBCAbstractQueryCommand`
  Throws:
    `javax.ejb.FinderException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.